#include<iostream>
using namespace std;
int main(){
    long long n,x,y,i,j;
    cin>>n;
    long long kolko[10000],ng=0;
    for(i=0;i<n;i++){
        cin>>x>>y;
        for(j=x;j<y;j++){
            if(x<=j && y>j){
                kolko[j]++;
                if(kolko[j]>ng){
                    ng=kolko[j];
                }
            }
        }
    }
    cout<<ng<<endl<<ng+1<<endl;
    return 0;
}
